<html>
	<head>
		<script src="/static/socket.io.min.js"></script>
		<script src="/static/canvasChart.js"></script>
		<script src="/static/functions.js"></script>
		<link rel="stylesheet" href="/static/style.css">
	</head>
	<body onresize="onResize()">
		<div id="panel">
			<p>Radio</p>
			<table id="radioSettings">
				<tr><td>Start:</td><td><input type="text" id="startFreq" value="400"></td><td>MHz</td></tr>
				<tr><td>End:</td><td><input type="text" id="endFreq" value="500"></td><td>MHz</td></tr>
				<tr><td>Step:</td><td><input type="text" id="numSteps" value="5"></td><td></td></tr>
			</table>
			<input type="button" id="setRangeBtn" onclick="btnClick(this)" value="Set range">
			<p>Cursor</p>
			<table id="cursorSettings">
				<tr>
					<td>Mode:</td>
					<td colspan="2">
						<select id="cursoreMode" onchange="setCursorMode()">
							<option value="0" selected>Mouse</option>
							<option value="2">Min hold</option>
							<option value="1">Max hold</option>
						</select>
					</td>
				</tr>
				<tr><td>Cutoff:</td><td><input type="text" id="cutoffRange" value="3" onchange="setCursorMode()"></td><td>dB</td></tr>
				<tr><td colspan="2">Display cutoff:</td><td><input type="checkbox" id="showCutoff" value="1" onchange="setCursorMode()"></td></tr>
				</tr>
			</table>


			<p>Graph</p>
			<input type="button" id="setRelBtn" onclick="btnClick(this)" value="Set relative"/>
			<input type="button" id="exportImageBtn" onclick="btnClick(this)" value="Export image"/>
			<input type="button" id="exportCSVBtn" onclick="btnClick(this)" value="Export data"/>

			<input type="button" id="runBtn" onclick="btnClick(this)" value="Run"/>
			<div id="welcome">
				<h4>Welcome to limeSNA</h4>
				Press the run button to begin.
			</div>
		</div>
		<canvas id="canvas"></canvas>
	</body>
</html>